package com.casic.missiles.mapper.equipment;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.cockpit.ExpireEquipmentStatisticsResponse;
import com.casic.missiles.dto.equipment.StandardEquipmentRequest;
import com.casic.missiles.model.equipment.EquipmentStandardEquipment;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 标准装置表 Mapper 接口
 * </p>
 *
 * @author cuicheng
 * @since 2022-12-15
 */
public interface EquipmentStandardEquipmentMapper extends BaseMapper<EquipmentStandardEquipment> {

    Long selectMaxNo();

    Page<EquipmentStandardEquipment> listPage(Page<EquipmentStandardEquipment> page, @Param("request") StandardEquipmentRequest request);

    EquipmentStandardEquipment listPage(@Param("request") StandardEquipmentRequest request);

    Page<EquipmentStandardEquipment> remindListPage(Page<EquipmentStandardEquipment> page, @Param("request") StandardEquipmentRequest request);

    List<EquipmentStandardEquipment> remindListPage(@Param("request") StandardEquipmentRequest request);

    Integer selectRemindQuantity();

    List<ExpireEquipmentStatisticsResponse> selectExpireEquipmentStatistics();
}

